package com.schoolinout.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.schoolinout.common.annotation.Excel;
import com.schoolinout.common.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 老师-班级关系对象 tb_school_teacher_class_relation
 *
 * @author sakura
 * @date 2024-01-04
 */
@TableName("tb_school_teacher_class_relation")
@Schema(name = "教师和班级关联表")
public class TeacherClassRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Long id;

    /**
     * 学校id
     */
    @Excel(name = "学校id")
    @Schema(description = "学校id")
    private Long schoolId;

    /**
     * 教师id
     */
    @Excel(name = "教师id")
    @Schema(description = "教师id")
    private Long teacherId;

    /**
     * 班级id
     */
    @Excel(name = "班级id")
    @Schema(description = "班级id")
    private Long classId;

    /**
     * 是否为班主任
     */
    @Excel(name = "是否为班主任")
    @Schema(description = "是否为班主任")
    private String teacherMain;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getTeacherMain() {
        return teacherMain;
    }

    public void setTeacherMain(String teacherMain) {
        this.teacherMain = teacherMain;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("schoolId", getSchoolId())
                .append("teacherId", getTeacherId())
                .append("classId", getClassId())
                .append("teacherMain", getTeacherMain())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
